[Python-apps-commits] r12632 - in packages/mercurial/trunk/debian (2 files)

vicho at users.alioth.debian.org vicho at users.alioth.debian.org
Mon Nov 30 12:53:36 UTC 2015


    Date: Monday, November 30, 2015 @ 12:53:35
  Author: vicho
Revision: 12632

Improve autopkgtest for mercurial-git to push commits from the
mercurial clone to git

Modified:
  packages/mercurial/trunk/debian/changelog
  packages/mercurial/trunk/debian/tests/mercurial-git

Modified: packages/mercurial/trunk/debian/changelog
===================================================================
--- packages/mercurial/trunk/debian/changelog	2015-11-30 12:49:01 UTC (rev 12631)
+++ packages/mercurial/trunk/debian/changelog	2015-11-30 12:53:35 UTC (rev 12632)
@@ -1,3 +1,10 @@
+mercurial (3.6.1-2) UNRELEASED; urgency=medium
+
+  * Improve autopkgtest for mercurial-git to push commits from the
+    mercurial clone to git
+
+ -- Javi Merino <vicho at debian.org>  Mon, 30 Nov 2015 12:53:22 +0000
+
 mercurial (3.6.1-1) unstable; urgency=medium
 
   * New upstream release

Modified: packages/mercurial/trunk/debian/tests/mercurial-git
===================================================================
--- packages/mercurial/trunk/debian/tests/mercurial-git	2015-11-30 12:49:01 UTC (rev 12631)
+++ packages/mercurial/trunk/debian/tests/mercurial-git	2015-11-30 12:53:35 UTC (rev 12632)
@@ -1,16 +1,26 @@
 #!/bin/sh
-
+#
 # Basic test to see if the mercurial-git extension still works.
 
+set -e
+
 # Setup a git repository with some content
-git init try
-cd try
+git init --bare git_server
+git clone git_server git_clone
+cd git_clone
 git config user.name Babar
 git config user.email babar at jungle.org
 echo a >a
 git add a
 git commit -m a
+git push origin master
 cd ..
 
 # Now try to clone it with mercurial-git
-exec hg --config extensions.git= clone try try2
+hg --config extensions.git= clone git_server hg_clone
+
+# Do some changes and push them to the git server
+cd hg_clone
+echo b >>a
+hg commit -u "Babar <babar at jungle.org>" -m "more content to a"
+exec hg --config extensions.git= push




More information about the Python-apps-commits mailing list